<?php
$id = $_GET['projectid'];


?>
<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="UTF-8">
		<title>Simple Gantt</title>
		<link rel="stylesheet" href="bootstrap/css/bootstrap.min.css">
		<link rel="stylesheet" href="dist/frappe-gantt.css" />
		<script src="bootstrap/js/jquery.js"></script>
		<script src="dist/moment.js"></script>
		<script src="dist/snap.svg.js"></script>
		<script src="dist/frappe-gantt.min.js"></script>
		
		<script src="bootstrap/js/bootstrap.bundle.min.js"></script>
	</head>
	<body>
		<div class="container">
			<div class="row">
				<div class="col-lg-2 col-sm-5 col-xs-5 px-0 tbpos">
					<table class="table table-striped table-bordered table-sm " >
						<thead>
							<tr>
								<th>Task</th>
								<th>Progress</th>
							</tr>
						</thead>
						<tbody id="tasklist">
							
							
						</tbody>
					</table>
				</div>
				<div class="col-lg-10 col-sm-7 col-xs-7">
					<div class="gantt-target"></div>
					
				</div>
				
			</div>
			<div class="row text-center mt-5">
				<div class="col">
					
					<div class="button-group">
						<button class="btn btn-info" onclick="changeView('Year');">Yearly</button>
						<button class="btn btn-info" onclick="changeView('Month');">Month</button>
						<button class="btn btn-info" onclick="changeView('Week');">Week</button>
						<button class="btn btn-info" onclick="changeView('Day');">Day</button>
						
					</div>
				</div>
			</div>
			
			
		</div>
		<script>
		var tasks = [];
		$(document).ready(function(){
					loadTasks();
		});
		
			
				
		function loadTasks(){
			$.ajax({
				url:"load.php",
				type:"POST",
				dataType: 'json',
				data:{id: <?php echo $id; ?>},
				success:function(data)
				{
					var i;
					var tasklist = [];
				
					tasks = data;
					
					changeView('Month');
					for(i = 0; i < data.length; i++){
					
						tasklist = "<tr><td> " +  data[i].name + " </td><td> " +  data[i].progress + "% </td></tr>";
						$("#tasklist").append(tasklist);
					}
				
				},error:function(){
					window.location.href="404.php";

				}
			})
		}


		function changeView(viewmodes){
			$("#gantt-target").html("");
			
			var gantt_chart = new Gantt(".gantt-target", tasks, {view_mode: viewmodes,
			custom_popup_html: function(task){
			
				return ' <div class="details-container"<h4>' + task.name +'</h4><p>Expected to finish by '+ task.end + '</p><p>' + task.progress+ '% completed!</p></div>'
			}
		});
		}
		
		</script>
	</body>
</html>